[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.SetParentComponent

SetParentComponent - specify a new component to be the parent

## Declaration

Source position: controls.pp line 1184

`protected procedure TControl.SetParentComponent(`
`NewParentComponent: TComponent`
`); override;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net .